/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef SOKOBAN_H
#define SOKOBAN_H

#include <qmainwindow.h>
#include <qpopupmenu.h>
#include "InternalCollections.H"
#include "PlayField.H"

class Sokoban : public QMainWindow
{
    Q_OBJECT
public:
    Sokoban( QWidget* parent = 0, const char* name = 0, WFlags f = 0 );
    ~Sokoban();

public slots:
    void changeCollection(int id);

protected slots:
 void updateAnimMenu(int id);

private slots:

private:
  void readConfig();
  void writeConfig() const;
  void createCollectionMenu();

  PlayField* field;

  QPopupMenu* collection_, * animMenu;
  InternalCollections internalCollections_;
  int checkedCollection_;
  int checkedAnim_;
  int currentCollection_;
};

#endif // SOKOBAN_H
